Is the Python v3.8.2 for VSI-VMS-8.4-1H1 usable with the HP-VMS-8.4 ?


Topic author
l.cedric
Active Contributor
Posts: 32
Joined: Thu Jul 18, 2019 8:18 am
Reputation: 0
Status: Offline

Re: Is the Python v3.8.2 for VSI-VMS-8.4-1H1 usable with the HP-VMS-8.4 ?

Post by l.cedric » Mon Apr 12, 2021 9:02 am

Thanks Arne !

Thanks to your last answer, I've tried to search where you have found all these startup.com you mentionned and ... of course now :roll: in the 1st LD image !

Code: Select all

$ ld connect jfplib0020i.dsk lda1:
$ mount lda1: jfplib0020i
$ dir lda1:[000000...]*startup*.com

Directory LDA1:[000000]
LIB_STARTUP.COM;27

Directory LDA1:[libbz2]
startup.com;2

Directory LDA1:[libz]
startup.com;1

Directory LDA1:[openssl102j.vms]
openssl_startup.com;3

Directory LDA1:[openssl111g.OPENSSL-INSTALL.SYS$STARTUP]
openssl_startup0101.com;2

Directory LDA1:[SQLITE3]
startup.com;2       startup.com;1

...
As I'm new to all these stuffs, I think too I've found my misunderstanding which was about
System wide installation & Process installation which was not a choice in this guide ... :!:
The lib_startup.com (only for the System wide installation ...) gave me a clue = It's in fact what you've done with just the library needed for Pyhton :idea:

(Now I have a Plan B if I have an issue with the VSI package)
Best regards

User avatar

arne_v
Active Contributor
Posts: 27
Joined: Fri Apr 17, 2020 7:31 pm
Reputation: 0
Location: Rhode Island, USA
Status: Offline
Contact:

Re: Is the Python v3.8.2 for VSI-VMS-8.4-1H1 usable with the HP-VMS-8.4 ?

Post by arne_v » Mon Apr 12, 2021 10:22 am

I can sort of understand the approach - this image comes with all dependencies, so it is not dependent on what else is on the system.

Really very similar to how containers work.
Arne
arne@vajhoej.dk
VMS user since 1986

Post Reply